<?xml version="1.0" encoding="utf-8" standalone="no"?>
<problem revision="35" short-name="hanoi-adjacent" url="https://polygon.codeforces.com/p37sDPt/tourist/hanoi-adjacent">
    <names>
        <name language="english" value="Hanoi Towers Reloaded"/>
    </names>
    <statements>
        <statement charset="UTF-8" language="english" mathjax="true" path="statements/english/problem.tex" type="application/x-tex"/>
        <statement language="english" path="statements/.pdf/english/problem.pdf" type="application/pdf"/>
    </statements>
    <tutorials>
        <tutorial charset="UTF-8" language="english" mathjax="true" path="statements/english/tutorial.tex" type="application/x-tex"/>
        <tutorial language="english" path="statements/.pdf/english/tutorial.pdf" type="application/pdf"/>
    </tutorials>
    <judging cpu-name="Intel(R) Core(TM) i3-8100 CPU @ 3.60GHz" cpu-speed="3600" input-file="" output-file="" run-count="1">
        <testset name="tests">
            <time-limit>2000</time-limit>
            <memory-limit>1073741824</memory-limit>
            <test-count>40</test-count>
            <input-path-pattern>tests/%02d</input-path-pattern>
            <answer-path-pattern>tests/%02d.a</answer-path-pattern>
            <tests>
                <test method="manual" sample="true"/>
                <test cmd="random 1..2" method="generated"/>
                <test cmd="random 3..5" method="generated"/>
                <test cmd="random 6..10" method="generated"/>
                <test cmd="random 11..100" method="generated"/>
                <test cmd="random 1001..10000" method="generated"/>
                <test cmd="random 10000..20000" method="generated"/>
                <test cmd="random 50000..50000" method="generated"/>
                <test cmd="random 99999..99999" method="generated"/>
                <test cmd="random 100000..100000" method="generated"/>
                <test cmd="repeat_all_pairs 10000 1..3 1..3" method="generated"/>
                <test cmd="repeat_all_pairs 11111 1..3 1..3" method="generated"/>
                <test cmd="repeat_all_pairs 100000 1..1 1..1" method="generated"/>
                <test cmd="repeat_all_pairs 100000 1..1 2..2" method="generated"/>
                <test cmd="repeat_all_pairs 100000 1..1 3..3" method="generated"/>
                <test cmd="repeat_all_pairs 100000 2..2 1..1" method="generated"/>
                <test cmd="repeat_all_pairs 100000 2..2 2..2" method="generated"/>
                <test cmd="repeat_all_pairs 100000 2..2 3..3" method="generated"/>
                <test cmd="repeat_all_pairs 100000 3..3 1..1" method="generated"/>
                <test cmd="repeat_all_pairs 100000 3..3 2..2" method="generated"/>
                <test cmd="repeat_all_pairs 100000 3..3 3..3" method="generated"/>
                <test cmd="random 99998..99998" method="generated"/>
                <test cmd="random 99997..99997" method="generated"/>
                <test cmd="random 99996..99996" method="generated"/>
                <test cmd="random 99995..99995" method="generated"/>
                <test cmd="random 99994..99994" method="generated"/>
                <test cmd="random 99993..99993" method="generated"/>
                <test cmd="random 99992..99992" method="generated"/>
                <test cmd="random 99991..99991" method="generated"/>
                <test cmd="random 99990..99990" method="generated"/>
                <test cmd="random 99989..99989" method="generated"/>
                <test cmd="random 99988..99988" method="generated"/>
                <test cmd="random 99987..99987" method="generated"/>
                <test cmd="random 99986..99986" method="generated"/>
                <test cmd="random 99985..99985" method="generated"/>
                <test cmd="random 99984..99984" method="generated"/>
                <test cmd="random 99983..99983" method="generated"/>
                <test cmd="random 99982..99982" method="generated"/>
                <test cmd="random 99981..99981" method="generated"/>
                <test cmd="random 99980..99980" method="generated"/>
            </tests>
        </testset>
    </judging>
    <files>
        <resources>
            <file path="files/olymp.sty"/>
            <file path="files/problem.tex"/>
            <file path="files/statements.ftl"/>
            <file path="files/testlib.h" type="h.g++"/>
            <file path="files/tutorial.tex"/>
        </resources>
        <executables>
            <executable>
                <source path="files/random.kt" type="kotlin19"/>
                <binary path="files/random.jarkt19"/>
            </executable>
            <executable>
                <source path="files/repeat_all_pairs.kt" type="kotlin19"/>
                <binary path="files/repeat_all_pairs.jarkt19"/>
            </executable>
            <executable>
                <source path="files/validator.cpp" type="cpp.g++17"/>
                <binary path="files/validator.exe" type="exe.win32"/>
            </executable>
        </executables>
    </files>
    <assets>
        <checker name="std::ncmp.cpp" type="testlib">
            <source path="files/check.cpp" type="cpp.g++17"/>
            <binary path="check.exe" type="exe.win32"/>
            <copy path="check.cpp"/>
            <testset>
                <test-count>0</test-count>
                <input-path-pattern>files/tests/checker-tests/%02d</input-path-pattern>
                <output-path-pattern>files/tests/checker-tests/%02d.o</output-path-pattern>
                <answer-path-pattern>files/tests/checker-tests/%02d.a</answer-path-pattern>
                <tests/>
            </testset>
        </checker>
        <validators>
            <validator>
                <source path="files/validator.cpp" type="cpp.g++17"/>
                <binary path="files/validator.exe" type="exe.win32"/>
                <testset>
                    <test-count>10</test-count>
                    <input-path-pattern>files/tests/validator-tests/%02d</input-path-pattern>
                    <tests>
                        <test verdict="valid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                    </tests>
                </testset>
            </validator>
        </validators>
        <solutions>
            <solution tag="accepted">
                <source path="solutions/290693533_zidder_ok.cpp" type="cpp.gcc13-64-winlibs-g++20"/>
                <binary path="solutions/290693533_zidder_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="rejected">
                <source path="solutions/290851316_ikrpprppp_SomethingNew_goncharovmike_wa3.cpp" type="cpp.gcc13-64-winlibs-g++20"/>
                <binary path="solutions/290851316_ikrpprppp_SomethingNew_goncharovmike_wa3.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/290852108_ikrpprppp_SomethingNew_goncharovmike_ok.cpp" type="cpp.gcc13-64-winlibs-g++20"/>
                <binary path="solutions/290852108_ikrpprppp_SomethingNew_goncharovmike_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="rejected">
                <source path="solutions/290875932_smalyarovsky_wa5.cpp" type="cpp.gcc13-64-winlibs-g++20"/>
                <binary path="solutions/290875932_smalyarovsky_wa5.exe" type="exe.win32"/>
            </solution>
            <solution tag="rejected">
                <source path="solutions/290877268_smalyarovsky_wa2.cpp" type="cpp.gcc13-64-winlibs-g++20"/>
                <binary path="solutions/290877268_smalyarovsky_wa2.exe" type="exe.win32"/>
            </solution>
            <solution tag="rejected">
                <source path="solutions/290920435_izban_wa3.cpp" type="cpp.gcc13-64-winlibs-g++20"/>
                <binary path="solutions/290920435_izban_wa3.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/290921734_izban_ok.cpp" type="cpp.gcc13-64-winlibs-g++20"/>
                <binary path="solutions/290921734_izban_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="rejected">
                <source path="solutions/290989426_smalyarovsky_wa3.cpp" type="cpp.gcc13-64-winlibs-g++20"/>
                <binary path="solutions/290989426_smalyarovsky_wa3.exe" type="exe.win32"/>
            </solution>
            <solution tag="rejected">
                <source path="solutions/291134290_ksun48_wa2.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/291134290_ksun48_wa2.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/291134573_ksun48_ok.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/291134573_ksun48_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/h_gk.py" type="python.3"/>
                <binary path="solutions/h_gk.pys3" type="pythonx.3"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/h_gk_ok_la.py" type="python.3"/>
                <binary path="solutions/h_gk_ok_la.pys3" type="pythonx.3"/>
            </solution>
            <solution tag="main">
                <source path="solutions/hanoi_av.kt" type="kotlin19"/>
                <binary path="solutions/hanoi_av.jarkt19"/>
            </solution>
            <solution tag="time-limit-exceeded">
                <source path="solutions/hanoi_av_bfs.kt" type="kotlin19"/>
                <binary path="solutions/hanoi_av_bfs.jarkt19"/>
            </solution>
        </solutions>
    </assets>
    <properties>
        <property name="tests-wellformed" value="true"/>
    </properties>
    <stresses>
        <stress-count>0</stress-count>
        <stress-path-pattern>stresses/%03d</stress-path-pattern>
        <list/>
    </stresses>
    <tags>
        <tag value="hanoi"/>
        <tag value="ternary"/>
    </tags>
</problem>
